package cn.iododer.yudao.module.mqtt.service;

import cn.iocoder.yudao.module.system.api.path.PathApi;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * 路网匹配实时数据
 */
@Slf4j
@Service
public class PlanningGraphMatchDataServiceImpl implements MqttService{

    @Resource
    private PathApi pathApi;

    @Override
    public void analysisMessage(String message) {
        log.info("匹配路网实时数据 :{}",message);
        pathApi.graphMatchData(message);
    }

}
